digiKam Developer Documentation: Digikam::ItemLister Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::ItemLister Class Reference

## Public Member Functions
void | list (ItemListerReceiver *const receiver, const CoreDbUrl &url)
| Convenience method for Album, Tag and Date URLs, not for Search URLs.
void | listDateRange (ItemListerReceiver *const receiver, const QDate &startDate, const QDate &endDate)
| List those images whose date lies in the range beginning with startDate (inclusive) and ending before endDate (exclusive).
void | setListOnlyAvailable (bool listOnlyAvailable)
| Adjust the setting if images from collections that are currently not in the state "available" will be included in the listing.
void | setRecursive (bool recursive)
| Adjust the setting if album or tags will be listed recursively (i.e.
Operations with TAlbum
void | listTag (ItemListerReceiver *const receiver, const QList< int > &tagIds)
| List the images which have assigned the tags specified by tagIds Updated to support multiple tags.
void | listImageTagPropertySearch (ItemListerReceiver *const receiver, const QString &xml)
| Execute the search specified by search XML describing a Tag Properties search.
QString | tagSearchXml (int tagId, const QString &type, bool includeChildTags) const

## Operations with SAlbum
void | listSearch (ItemListerReceiver *const receiver, const QString &xml, int limit=0, qlonglong referenceImageId=-1)
| Execute the search specified by search XML.
void | listHaarSearch (ItemListerReceiver *const receiver, const QString &xml)
| Execute the search specified by search XML describing a Haar search.
void | listAreaRange (ItemListerReceiver *const receiver, double lat1, double lat2, double lon1, double lon2)
| List the images whose coordinates are between coordinates contained in areaCoordinates(lat1, lat2, lng1, lng2).

## Operations with PAlbum
void | listPAlbum (ItemListerReceiver *const receiver, int albumRootId, const QString &album)
| List images in the Album (physical album) specified by albumRoot, album.

## Member Function Documentation

## ◆ listHaarSearch()

void Digikam::ItemLister::listHaarSearch | ( | ItemListerReceiver *const | receiver,
|  | const QString & | xml
| ) |  |

Parameters

  receiver | the receiver for the searches
  xml | SearchXml describing the query

## ◆ listImageTagPropertySearch()

void Digikam::ItemLister::listImageTagPropertySearch | ( | ItemListerReceiver *const | receiver,
|  | const QString & | xml
| ) |  |

Two special add-ons: Non-unique by image id; if enabled, uses the extended ImageRecord protocol to pass the property value in the record's extraValue.

Parameters

  receiver | the receiver for the searches
  xml | SearchXml describing the query

## ◆ listPAlbum()

void Digikam::ItemLister::listPAlbum | ( | ItemListerReceiver *const | receiver,
|  | int | albumRootId,
|  | const QString & | album
| ) |  |

The results will be fed to the specified receiver.

## ◆ listSearch()

void Digikam::ItemLister::listSearch | ( | ItemListerReceiver *const | receiver,
|  | const QString & | xml,
|  | int | limit = `0`,
|  | qlonglong | referenceImageId = `-1`
| ) |  |

Parameters

  receiver | the receiver for the searches
  xml | SearchXml describing the query
  limit | the limit the count of the result set. If limit = 0, then no limit is set.
  referenceImageId | the id of a reference image in the search query.

## ◆ setListOnlyAvailable()

void Digikam::ItemLister::setListOnlyAvailable | ( | bool | listOnlyAvailable | ) |

Default: true.

## ◆ setRecursive()

void Digikam::ItemLister::setRecursive | ( | bool | recursive | ) |

including subalbums / subtags)